[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Calendar' (#lcl)

# TCustomCalendar.LMMonthChanged

Handles the LCL LM_MONTHCHANGED message received when the month has been changed using the calendar control.

## Declaration

Source position: calendar.pp line 112

`protected procedure TCustomCalendar.LMMonthChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Message handled in the method.

## Description

The message is posted as a callback from the widgetset class when the active month on the control is changed. It can occur when a new date is selected, or when the GUI is used to change the visible month on the control. LMMonthChanged ensures that event handlers are signalled (when assigned) when the month displayed on the calendar control is changed. The event handlers are signalled in the following order:

- OnMonthChanged
- OnChange

An application can assign object procedures to the event handlers to respond to the change notifications.

## See also

TCustomCalendar.OnMonthChanged |  | Event handler signalled when the month number in DateTime has been changed using the calendar control.
TCustomCalendar.OnChange |  | Event handler signalled when the calendar control has been changed.